# Class CIM_DiagnosticServiceRecord
extends CIM_DiagnosticRecord

While a DiagnosticService is running, data generated by the service may be recorded in DiagnosticServiceRecord objects. A DiagnosticServiceRecord is related to its Log via an instance of the LogManagesRecord aggregation class.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ManagedElement
|
+--CIM_RecordForLog
|
+--CIM_DiagnosticRecord
|
+--CIM_DiagnosticServiceRecord

## Direct Known Subclasses

CIM_DiagnosticCompletionRecord

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Description | string | While a DiagnosticService is running, data generated by the service may be recorded in DiagnosticServiceRecord objects. A DiagnosticServiceRecord is related to its Log via an instance of the LogManagesRecord aggregation class.
UMLPackagePath | string | CIM::System::Diagnostics
Version | string | 2.10.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
LoopsFailed | uint32 |

Description

string

Since some tests may be looped, it is useful to report how many iterations passed and failed. This is relevant in analyzing transitory failures. For example, if all the errors occurred in just one of 100 iterations, the device may be viewed as OK or marginal, to be monitored further rather then failed. Note: LoopsPassed & LoopsFailed should add up to the loops completed. A value for this property would likely be reported with a DiagnosticServiceRecord.RecordType value = "Results", which contains a result covering all iterations of a looped service.

LoopsPassed | uint32 |

Description

string

Since some tests may be looped, it is useful to report how many iterations passed and failed. This is relevant in analyzing transitory failures. For example if all the errors occurred in just one of 100 iterations, the device may be viewed as OK or marginal, to be monitored further rather then failed. Note: LoopsPassed & LoopsFailed should add up to the loops completed. A value for this property would likely be reported with a DiagnosticServiceRecord.RecordType value = "Results", which contains a result covering all iterations of a looped service.

ErrorCode | string[] |
ArrayType | string | Indexed

Description

string

If applicable, this string should contain one or more vendor specific error codes that the diagnostic service detected. These error codes may be used by the vendor for variety of purposes such as: fault data base indexing, field service trouble ticketing, product quality tracking, part failure history, etc. Since these codes are for vendor purposes they may assume any form. Details on suggested use cases will be left to white papers. The array of error codes has model correspondence with an ErrorCount array so the number of errors reported can be analyzed by individual error code.

ModelCorrespondence | string | CIM_DiagnosticServiceRecord.ErrorCount
ErrorCount | uint32[] |
ArrayType | string | Indexed

Description

string

Since some tests may detect transient and correctable errors such as a network diagnostic or memory test, an error count is useful to indicate the severity of the failure. This field contains an integer value of the number of errors detected by the test. The ErrorCount is an array with model correspondence to ErrorCode so that the test can report an ErrorCount on each type of error encountered. It is recommended that hard errors and correctable or recoverable errors be given different codes so that clients with knowledge of the error codes can evaluate correctable, recoverable, and hard errors independently.

ModelCorrespondence | string | CIM_DiagnosticServiceRecord.ErrorCode

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
Caption | string | CIM_ManagedElement
CreationTimeStamp | datetime | CIM_DiagnosticRecord
Description | string | CIM_ManagedElement
ElementName | string | CIM_ManagedElement
ExpirationDate | datetime | CIM_DiagnosticRecord
InstanceID | string | CIM_DiagnosticRecord
Locale | string | CIM_RecordForLog
ManagedElementName | string | CIM_DiagnosticRecord
OtherRecordTypeDescription | string | CIM_DiagnosticRecord
PerceivedSeverity | uint16 | CIM_RecordForLog
RecordData | string | CIM_RecordForLog
RecordFormat | string | CIM_RecordForLog
RecordType | uint16 | CIM_DiagnosticRecord
ServiceName | string | CIM_DiagnosticRecord

## Class Methods